aboutsummaryrefslogtreecommitdiffstats
path: root/testing/d-feet/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-08-17 08:24:49 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-17 08:24:49 +0000
commitf2bc5e48778d173753b2aeda53736053e8a3b424 (patch)
treee70b91fdba75e9b4041d17c79ebdacceacfdb903 /testing/d-feet/APKBUILD
parent137e5acb2c637e6ee543a20ce531d689a6b0c9d9 (diff)
downloadaports-f2bc5e48778d173753b2aeda53736053e8a3b424.tar.gz
aports-f2bc5e48778d173753b2aeda53736053e8a3b424.tar.bz2
aports-f2bc5e48778d173753b2aeda53736053e8a3b424.tar.xz
testing/d-feet: new aport
A powerful D-Bus Debugger http://live.gnome.org/DFeet/
Diffstat (limited to 'testing/d-feet/APKBUILD')
-rw-r--r--testing/d-feet/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/d-feet/APKBUILD b/testing/d-feet/APKBUILD
new file mode 100644
index 0000000000..cde6727e62
--- /dev/null
+++ b/testing/d-feet/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=d-feet
+pkgver=0.1.12
+pkgrel=0
+pkgdesc="A powerful D-Bus Debugger"
+url="http://live.gnome.org/DFeet/"
+arch="noarch"
+license="GPLv2+"
+depends="python py-gtk"
+makedepends="py-gtk-dev py-setuptools"
+install=""
+subpackages=""
+source="http://download.gnome.org/sources/d-feet/0.1/d-feet-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/d-feet-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="01b0296277b26330bc430742ad4e758a d-feet-0.1.12.tar.bz2"